Skip to main content
POST
Create a new customer

Authorizations

Authorization
string
header
required

JWT access token obtained from the /auth/token endpoint.

This Admin API is separate from the Corti API used for speech recognition, text generation, and agentic workflows. Authentication and scope for the Admin API uses email-and-password to obtain a bearer token via /auth/token. This token is only used for API administration.

Path Parameters

projectId
string
required

Unique identifier of your project in the Corti API Console.

To find it, open your project at console.corti.app, go to Settings, and copy the value from the Project ID field.

Example:

"consoleproject"

Body

application/json
displayName
string
required

Human-readable display name for the customer

Pattern: ^[\w\s\d-_/]+$
Example:

"admin"

customerId
string
required

Unique identifier for the customer

Maximum string length: 64
Pattern: ^[a-z0-9-_]+$
Example:

"contosohospital"

tenantName
string
deprecated

Deprecated. The tenant is inherited from the project's configured tenant.

Maximum string length: 14
Pattern: ^[a-z0-9]+$
Example:

"base"

region
string
deprecated

Deprecated. The region is inherited from the project's configured region. Supplying a mismatched value returns a 400.

Example:

"eu"

isNfr
boolean

Flag indicating if this is a Not-For-Resale (NFR) customer account.

Example:

false

retentionMinutes
integer | null

Data retention period in minutes. When set, interactions older than this value are automatically deleted. Null means no automatic deletion. If omitted, the project's default retention policy is applied.

Required range: x >= 1
Example:

43200

Response

Customer created successfully

displayName
string
required

Human-readable display name for the customer

Pattern: ^[\w\s\d-_/]+$
Example:

"admin"

tenantName
string
default:base
required

The tenant identifier used for multi-tenancy and resource isolation.

Maximum string length: 14
Pattern: ^[a-z0-9]+$
Example:

"base"

region
enum<string>
default:eu
required

Region for the customer's resources

Available options:
eu,
us
customerId
string
required

Unique identifier for the customer

Maximum string length: 64
Pattern: ^[a-z0-9-_]+$
Example:

"contosohospital"

isNfr
boolean
default:false

Flag indicating if this is a Not-For-Resale (NFR) customer account

Example:

false

retentionMinutes
integer | null

Data retention period in minutes. When set, interactions older than this value are automatically deleted. Null means no automatic deletion.

Required range: x >= 1
Example:

43200

createdAt
string<date-time>

Timestamp when the customer was created

Example:

"2023-10-01T12:00:00Z"